AnalyticBlackVasicekEngine Class Reference

`#include <ql/pricingengines/vanilla/analyticeuropeanvasicekengine.hpp>`

Inherits OneAssetOption::engine.

## Public Member Functions

| AnalyticBlackVasicekEngine (const ext::shared_ptr< GeneralizedBlackScholesProcess > &, const ext::shared_ptr< Vasicek > &, Real correlation)
void | calculate () const

## Detailed Description

Pricing of Vanilla European options under stochastic Vasicek interest rate model Analytical solution is based on following research paper:

http://hsrm-mathematik.de/WS201516/master/option-pricing/Black-Scholes-Vasicek-Model.pdf

Examples
  EquityOption.cpp.